# TRTCPublishCDNParam class Null safety

CDN relaying parameters

## Constructors

TRTCPublishCDNParam({required int appId, required int bizId, required String url})

## Properties

appId ↔ int
  Tencent Cloud `AppID`. Please select a created application in the TRTC console, click Application Info, and get it in "Relayed Live Streaming Info".
  read / write
bizId ↔ int
  Tencent Cloud CSS `bizid`. Please select a created application in the TRTC console, click Application Info, and get it in "Relayed Live Streaming Info".
  read / write
hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
url ↔ String
  Relayed push URL
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited